function OnWarpEnter() 
	SetMarker("cs\\Warp_0011.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0029.wp" , 0 , 0)
end

function OnWarpLeave()
	if Music_Change then
		-- Musique
		Music_Change = false
		PlayMusic("Sounds/Musiques/M_DepartChateau.ogg")
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0011.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0029.wp" then 
		if not DeathTrickRevealed then
			DrawText("Ma3509","Ma3509",0) -- J'ai des choses à voir avec mon père avant d'y aller.
		else
			Music_Change = true
			ChangeWarp(objectName)
		end
	end
end
